%define upstream_name    Gtk2-Notify
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 31

Summary:    Perl interface to libnotify
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/Gtk2-Notify%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.gz
# (Fedora) patch to make it build with libnotify-0.7
Patch0:		perl-Gtk2-Notify-0.05-libnotify-0.7.patch

BuildRequires:  pkgconfig(libnotify)	
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Test::Exception)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(pango)
BuildRequires:	libgtk+2-devel

%description
Perl interface to libnotify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
# fix build:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.50.0-31.mga10
+ Revision: 2012020
- Rebuild for perl-5.38

* Tue Jun 07 2022 pterjan <pterjan> 0.50.0-30.mga9
+ Revision: 1863421
- Fix source
+ umeabot <umeabot>
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-27.mga9
+ Revision: 1727679
- Rebuild for perl 5.34

* Thu Jun 18 2020 tv <tv> 0.50.0-26.mga8
+ Revision: 1596450
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.50.0-25.mga8
+ Revision: 1529097
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.50.0-24.mga8
+ Revision: 1433088
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-23.mga7
+ Revision: 1293024
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-22.mga7
+ Revision: 1249409
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-21.mga7
+ Revision: 1164627
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-20.mga7
+ Revision: 1150101
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sat Jul 22 2017 tv <tv> 0.50.0-18.mga7
+ Revision: 1128397
- fix build with perl 5.26
- rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-15.mga6
+ Revision: 1028075
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-14.mga6
+ Revision: 957418
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.50.0-13.mga6
+ Revision: 843530
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 0.50.0-12.mga6
+ Revision: 841019
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-11.mga5
+ Revision: 743810
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 684909
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-9.mga5
+ Revision: 632449
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524133
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.50.0-7.mga4
+ Revision: 430164
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 367899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 250737
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.50.0-4.mga2
+ Revision: 135826
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.50.0-3.mga2
+ Revision: 104436
- Add a patch from Fedora to make it build with libnotify-0.7
- Add BR libpango-devel, libgtk+2-devel

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 36328
- mageia rebuild
- imported package perl-Gtk2-Notify

